Redmine - Defect #23463

Inline images with custom CSS style are not displayed in exported PDF
2016-07-28 11:26 - Matteo Arceci

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 3.3.0
Description

Hi,

i use the following syntax to add an inline image with CSS style on a wiki page (as described on RedmineTextFormattingTextile >
inline images):

'{width: 60%;border: 3px solid green}myface.png!

when i try to export the page to PDF (with the standard link at the bottom of the page), the image is not displayed on the resulting
document! only a textual reference to the attached image file is shown (at the bottom of PDF)

if i remove the CSS style from inline image syntax, it works!!

'myface.png!

My environment:
Platform Ubuntu Server 14.04.4 LTS

Environment:
Redmine version 3.3.0.stable
Ruby version 2.3.0-p0 (2015-12-25) [x86_64-1inux]
Rails version 4.2.6
Environment production
Database adapter Mysql2

SCM:
Filesystem

Redmine plugins:
redmine_checklists 3.1.3
redmine_contacts 4.0.4
redmine_custom_help_url 0.0.2
redmine_dmsf 1.5.6
redmine_favorite_projects 2.0.2
redmine_ics_export 3.0.1.dev
redmine_language_change 0.1.0
redmine_monitoring_controlling 0.1.1
redmine_people 1.2.0
redmine_stats 0.0.3
redmine_xlsx_format_issue_exporter 0.1.2
sidebar_hide 0.0.7

Related issues:

Is duplicate of Redmine - Feature #15296: Include image thumbnails with PDF e... New

History

#1 - 2016-08-25 08:36 - Toshi MARUYAMA

- Description updated

#2 - 2016-08-25 08:37 - Toshi MARUYAMA
- Category changed from Wiki to PDF export
https://www.redmine.org/projects/redmine/wiki/RedmineTextFormattingTextile

#3 - 2016-08-25 09:58 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #15296.

#4 - 2016-08-25 09:58 - Toshi MARUYAMA
- Is duplicate of Feature #15296: Include image thumbnails with PDF export added
https://www.redmine.org/issues/15296
http://www.tcpdf.org

